/*
remember to change the value of "pin" based on the position of the analog input
change chip select as well if a pin other than 10 is used
will print to a file named "analogRead" on the SD card
change delay in the loop to modifiy sampling rate 
(analog read can sample up to ~10,000 times per second)
*/

#include <SD.h>
const int chipSelect = 10;  // labled SS from DFRobot, CS from Adafruit
#include <Wire.h> 
#include <SoftwareSerial.h>
int a;
int i;
int length = 1000;  // number of samples per loop
// can be modified to only run once, will run loops forever with base setup
int pin = 0;   // analog input pin
int d = 10;   // delay in ms between loops

void setup() {
  Serial.begin(115200);
  Serial.print("Initializing SD card...");
  //output CS or SS from SD card
  pinMode(10, OUTPUT);
  // failure check
  if (!SD.begin(chipSelect)) {
    Serial.println("Card failed, or not present");
    return;
  }
  Serial.println("card initialized.");
  delay(2000);
}

void loop() {
  File dataFile = SD.open("datalog.txt", FILE_WRITE);
  for(i=0;i<length;i++){
  a = analogRead(pin);
  Serial.println(a);
  dataFile.println(a);
  //delay(1);
  }
  //dataFile.println("end of loop");
  dataFile.close();
  //Serial.println("end of loop");
  //delay(d);
}
